[klibc] [git patch] kinit fix, header install cleanup

maximilian attems max at stro.at
Tue Dec 11 15:54:00 PST 2007


hello hpa,

due to arch x86 merge and stricter linitian. lintian
complained about empty dirs in the -dev headers package.
hadn't seen that warning yet, so below is the fix.
ah and that other patch was in some other branch..

please pull latest unless sam has a reservation
git pull git://git.debian.org/~maks/klibc.git maks

for the changes:
Aaron Griffin (1):
      [klibc] kinit: skip md assembly if mdX exists

maximilian attems (1):
      [klibc] Kbuild.install header install target cleanup

 scripts/Kbuild.install   |    8 ++++----
 usr/kinit/do_mounts_md.c |    4 ++++
 2 files changed, 8 insertions(+), 4 deletions(-)

thanks

-- 
maks


commit d33c99c558a7cf8ab3dad63fd89a634dcaebb469
Author: maximilian attems <max at stro.at>
Date:   Wed Dec 12 00:42:10 2007 +0100

    [klibc] Kbuild.install header install target cleanup
    
    - only create a dir if we really copy stuff to it.
    - add dual arch asm target (seen missing due to latest x86 arch merge)
    - headers_install in linux-2.6 exports no scsi headers anymore
    
    Cc: Sam Ravnborg <sam at ravnborg.org>
    Signed-off-by: maximilian attems <max at stro.at>

diff --git a/scripts/Kbuild.install b/scripts/Kbuild.install
index 1575169..44c8f76 100644
--- a/scripts/Kbuild.install
+++ b/scripts/Kbuild.install
@@ -95,12 +95,12 @@ header:
 	$(Q)mkdir -p $(INSTALLROOT)$(INSTALLDIR)/$(KCROSS)include
 	$(Q)mkdir -p $(INSTALLROOT)$(INSTALLDIR)/$(KCROSS)lib
 	$(Q)mkdir -p $(INSTALLROOT)$(INSTALLDIR)/$(KCROSS)bin
-	$(Q)set -e ; for d in linux scsi asm-$(KLIBCARCH) asm-generic $(ASMKLIBCARCH); do \
-	  mkdir -p $(INSTALLROOT)$(INSTALLDIR)/$(KLIBCCROSS)include/$$d ; \
+	$(Q)set -e ; for d in linux asm asm-$(KLIBCARCH) asm-generic $(ASMKLIBCARCH); do \
 	  for r in $(KLIBCKERNELSRC)/include $(KLIBCKERNELOBJ)/include \
 	           $(KLIBCKERNELOBJ)/include2 ; do \
-	    [ ! -d $$r/$$d ] || \
-	      cp -rfL $$r/$$d/. \
+	    [ ! -d $$r/$$d ] && continue; \
+	    mkdir -p $(INSTALLROOT)$(INSTALLDIR)/$(KLIBCCROSS)include/$$d ; \
+	    cp -rfL $$r/$$d/. \
 	          $(INSTALLROOT)$(INSTALLDIR)/$(KCROSS)include/$$d/. ; \
 	  done ; \
 	done

commit 9a6c1084bf4296840c0ed3877839af91c4ac2de3
Author: Aaron Griffin <aaronmgriffin at gmail.com>
Date:   Tue Sep 4 12:22:43 2007 +0200

    [klibc] kinit: skip md assembly if mdX exists
    
    mkinitcpio initramfs(?) tries to start root MD device twice
    http://bugs.archlinux.org/task/4938
    
    Belows patch shipped for one year in Archlinux,
    which seems to be an heavy kinit user.  -maks
    
    Signed-off-by: maximilian attems <max at stro.at>

diff --git a/usr/kinit/do_mounts_md.c b/usr/kinit/do_mounts_md.c
index e5bbe21..c1c8b01 100644
--- a/usr/kinit/do_mounts_md.c
+++ b/usr/kinit/do_mounts_md.c
@@ -227,6 +227,7 @@ static void md_setup_drive(void)
 		char *devname;
 		mdu_disk_info_t dinfo;
 		char name[16];
+		struct stat st_chk;
 
 		dev_minor = md_setup_args[ent].minor;
 		partitioned = md_setup_args[ent].partitioned;
@@ -235,6 +236,9 @@ static void md_setup_drive(void)
 		snprintf(name, sizeof name,
 			 "/dev/md%s%d", partitioned ? "_d" : "", dev_minor);
 
+		if (stat(name, &st_chk) == 0)
+			continue;
+
 		if (partitioned)
 			dev = makedev(mdp_major(), dev_minor << MdpMinorShift);
 		else



More information about the klibc mailing list